<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title>{{ subject_str }}</title>
    </head>
    <body>
        <span><strong>{{ subject_str }}</strong></span>
        <br />
        <table style="border: none; padding-top: 15px; padding-bottom: 15px;">
            <tbody>
                <tr><td>{{ full_boot_summary }}</td></tr>
                <tr><td>{{ full_build_summary }}</td></tr>
                <tr><td style="padding-top: 25px"></td></tr>
                <tr><td>{{ tree_string }}</td></tr>
                <tr><td>{{ branch_string }}</td></tr>
                <tr><td>{{ git_describe_string }}</td></tr>
                <tr><td>{{ git_commit_string }}</td></tr>
                <tr><td>{{ git_url_string[1] }}</td></tr>
                {%- if tested_string %}
                <tr><td>{{ tested_string }}</td></tr>
                {%- endif %}
            </tbody>
        </table>
        {%- if regressions %}
        <table style="border: none; padding-bottom: 15px; padding-top: 5px;">
            <tbody>
        {%- for summary in regressions.summary.html %}
                <tr><td><strong>{{ summary }}</strong></td></tr>
        {%- endfor %}
                <tr><td style="padding-bottom: 10px;"></td></tr>
        {%- for arch, data in regressions.data|dictsort %}
                <tr><td>{{ arch }}:</td></tr>
        {%- for defconfig, boards_data in data|dictsort %}
                <tr>
                    <td style="padding-left: 20px; padding-top: 10px;">
                    {{ defconfig }}
                    </td>
                </tr>
        {%- for board, labs_data in boards_data|dictsort %}
                <tr><td style="padding-left: 40px;">{{ board }}:</td></tr>
        {%- for lab in labs_data %}
                <tr><td style="padding-left: 55px;">{{ lab.html }}</td></tr>
        {%- endfor %}{# lab #}
        {%- endfor %}{# board #}
        {%- endfor %}{# defconfig #}
        {%- endfor %}{# arch #}
            </tbody>
        </table>
        {%- endif %}{# regressions #}
        {%- if platforms %}
        {%- if platforms.failed_data %}
        <table style="border: none; padding-bottom: 15px; padding-top: 5px;">
            <tbody>
            {%- for summary in platforms.failed_data.summary.html %}
                <tr><td><strong>{{ summary }}</strong></td></tr>
            {%- endfor %}
                <tr><td style="padding-bottom: 10px;"></td></tr>
            {%- for arch in platforms.failed_data.data %}
                <tr><td>{{ arch }}:</td></tr>
            {%- for defconfig in platforms.failed_data.data[arch] %}
                <tr>
                    <td style="padding-left: 20px; padding-top: 10px;">
                        {{ defconfig }}:
                    </td>
                </tr>
            {%- for board in platforms.failed_data.data[arch][defconfig] %}
                <tr><td style="padding-left: 40px;">{{ board[1] }}</td></tr>
            {%- endfor %}{# board #}
            {%- endfor %}{# defconfig #}
            {%- endfor %}{# arch #}
            </tbody>
        </table>
        {%- endif %}{# failed_data #}
        {%- if platforms.offline_data %}{# offline labs #}
        <table style="border: none; padding-bottom: 15px; padding-top: 5px;">
            <tbody>
            {%- for summary in platforms.offline_data.summary.html %}
                <tr><td><strong>{{ summary }}</strong></td></tr>
            {%- endfor %}
                <tr><td style="padding-bottom: 10px;"></td></tr>
            {%- for arch in platforms.offline_data.data %}
                <tr><td>{{ arch }}:</td></tr>
            {%- for defconfig in platforms.offline_data.data[arch] %}
                <tr>
                    <td style="padding-left: 20px; padding-top: 10px;">
                        {{ defconfig }}:
                    </td>
                </tr>
            {%- for board in platforms.offline_data.data[arch][defconfig] %}
                <tr><td style="padding-left: 40px;">{{ board[1] }}</td></tr>
            {%- endfor %}{# board #}
            {%- endfor %}{# defconfig #}
            {%- endfor %}{# arch #}
            </tbody>
        </table>
        {%- endif %}{# offline_data #}
        {%- if platforms.conflict_data %}
        <table style="border: none; padding-bottom: 15px; padding-top: 5px;">
            <tbody>
            {%- for summary in platforms.conflict_data.summary.html %}
                <tr><td><strong>{{ summary }}</strong></td></tr>
            {%- endfor %}
            <tr><td style="padding-bottom: 10px;"></td></tr>
            {%- for arch in platforms.conflict_data.data %}
                <tr><td>{{ arch }}</td></tr>
            {%- for defconfig in platforms.conflict_data.data[arch] %}
                <tr>
                    <td style="padding-left: 20px; padding-top: 10px;">
                        {{ defconfig }}:
                    </td>
                </tr>
            {%- for board in platforms.conflict_data.data[arch][defconfig] %}
                <tr><td style="padding-left: 40px">{{ board[1] }}:</td></tr>
            {%- for lab in platforms.conflict_data.data[arch][defconfig][board] %}
                <tr><td style="padding-left: 55px;">{{ lab }}</td></tr>
            {%- endfor %}{# lab #}
            {%- endfor %}{# board #}
            {%- endfor %}{# defconfig #}
            {%- endfor %}{# arch #}
            </tbody>
        </table>
    {%- endif %}{# conflict_data #}
    {%- endif %}{# platforms #}
    {%- if info_email %}
        <footer>
            <p style="padding-top: 10px;">
                &#9472;
                <br />
                For more info write to
                &lt;<a href="mailto:{{ info_email}}">{{ info_email }}</a>&gt;
            </p>
        </footer>
    {%- endif %}
    </body>
</html>
